Subject: RE: Configuring Routers

From: BINET David FTRD/DMI/CAE <[email-masked]>
Date: Tue, 19 Feb 2002 14:42:58 +0100

>   | I also think DHCP and what not should not be used for router 
>   | configuration.
> 
> I'm trying to understand what is lurking in the background here, and
> I think I'm failing.   That is, I have no idea at all what 
> the objections
> are, the oft repeated "I don't think ... should be used" (I 
> picked just
> one example above) means nothing - there's no explanation for what the
> problem might be.

It was the feeling I had when I sent my first e-mail. And there was no
explanation at this point in time except a problem of name of the protocol. 

> 
> It could just be that people believe that the only way to 
> ever configure
> a router is manually, and that any protocol to automate the process is
> necessarily flawed.   If so, I'd like to understand why, but 
> I think I'd
> tend to ignore that sentiment - other than to make sure that 
> implementations
> keep on making it possible to manually configure, so that people who
> believe this don't have the rug yanked out from under them 
> (and in certain
> particular circumstances, I think this probably includes all of us).

There is need for an automatic configuration process for routers in some
circumstances and a point to point connection to a provider is one of these
circumstances. It seems that the use of router advertisement is the best
candidate for such need, according to the majority of persons in the IPv6
community, if I have understood the previous mails. Nevertheless, I think
that DHCPv6 represents a good alternative, despite the fact that it is
certainly not so lightweight than RA. Except the new options proposed by Ole
and Ralph, I think that other options provided by the DHCPv6 protocol can be
used for the configuration of the Equipment (which can be more than a
router) in the customer site. The reconfigure message in the DHCPv6 protocol
is also an important mechanism for such context.    

David
> 
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
>